Bug 1024015 - dracut-029-1.fc18.2 may make system unbootable
dracut-029-1.fc18.2 may make system unbootable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 11:06 EDT by SpuyMore
Modified: 2014-02-05 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:30:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SpuyMore 2013-10-28 11:06:41 EDT
Description of problem:
I'm using fc18 and suspect my system will become unbootable with an initramfs
generated by dracut-029-1.fc18.2.x86_64.rpm (latest for fc18). This is because
when compared to the initramfs generated by previous version
dracut-024-25.git20130205.fc18.x86_64 I see that among others lvm is missing,
and I need that because I am using md + lvm. Besides that the initramfs is about twice as big as before and includes lots of unnecessary extra drivers. I just seems it is generating a "default" initramfs instead of one "fit" for my system.

One thing I noticed is the absence of /etc/dracut.conf.d/01-dist.conf in the new dracut.

For now I reverted dracut, /etc files, initramfs etcetera back to those corresponding with dracut-024-25.git20130205.fc18.x86_64, but meanwhile this restrains me from installing lots of other updates.

Version-Release number of selected component (if applicable):
029-1.fc18.2

How reproducible:


Steps to Reproduce:
1. install on a system with md + lvm
2. run dracut -f
3. inspect generated initramfs

Actual results:
lvm binaries missing

Expected results:
lvm binaries included

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 09:43:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:30:51 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.